> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Exemptions

> Retrieve a list of exemptions based on filters.



## OpenAPI

````yaml get /v1/exemptions
openapi: 3.0.0
info:
  title: Tax Platform
  version: 1.0.0
servers:
  - url: https://api.trykintsugi.com
    description: Production API server URL
security: []
paths:
  /v1/exemptions:
    get:
      tags:
        - Exemptions
      summary: Get Exemptions
      description: Retrieve a list of exemptions based on filters.
      operationId: get_exemptions_v1_exemptions_get
      parameters:
        - name: search_query
          in: query
          required: false
          schema:
            description: >-
              Search term to filter exemptions by exemption ID, customer name,
              or customer email
            type: string
          description: >-
            Search term to filter exemptions by exemption ID, customer name, or
            customer email
          example: John
        - name: status__in
          in: query
          required: false
          schema:
            description: Filter exemptions by their status
            default: ACTIVE,INACTIVE,EXPIRED
            type: string
          description: Filter exemptions by their status
        - name: country_code
          in: query
          required: false
          schema:
            description: Country code in ISO 3166-1 alpha-2 format
            type: array
            items:
              $ref: '#/components/schemas/CountryCodeEnum'
          description: Country code in ISO 3166-1 alpha-2 format
          example: US
        - name: jurisdiction
          in: query
          required: false
          schema:
            description: Jurisdiction identifier
            type: string
          description: Jurisdiction identifier
          example: CA
        - name: start_date
          in: query
          required: false
          schema:
            description: Start date for filtering exemptions
            type: string
          description: Start date for filtering exemptions
          example: '2024-01-01'
        - name: end_date
          in: query
          required: false
          schema:
            description: End date for filtering exemptions
            type: string
          description: End date for filtering exemptions
          example: '2024-01-01'
        - name: customer_id
          in: query
          required: false
          schema:
            description: Customer ID to filter exemptions
            type: string
          description: Customer ID to filter exemptions
          example: cust_1234
        - name: transaction_id
          in: query
          required: false
          schema:
            description: Transaction ID to filter exemptions
            type: string
          description: Transaction ID to filter exemptions
          example: trans_1234
        - name: order_by
          in: query
          required: false
          schema:
            description: Fields to sort by (comma-separated)
            default: end_date,FEIN,sales_tax_id,status
            type: string
          description: Fields to sort by (comma-separated)
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Page size
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successfully retrieved exemptions
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/fastapi_pagination__default__Page_ExemptionRead___2
              example:
                items:
                  - id: exem_123abc
                    organization_id: org_456xyz
                    exemption_type: wholesale
                    jurisdiction: CA
                    country_code: US
                    start_date: '2024-01-01'
                    end_date: '2025-01-01'
                    customer_id: cust_123
                    transaction_id: txn_456
                    reseller: true
                    FEIN: 12-3456789
                    sales_tax_id: ST-98765
                    status: ACTIVE
                total: 1
                page: 1
                size: 50
                pages: 1
        '401':
          description: The request is missing a valid x-api-key or x-organization-id
          content:
            application/json:
              example:
                detail: Authorization header is missing or token is invalid
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: >-
            Validation issues, such as missing required fields or invalid field
            values.
          content:
            application/json:
              example:
                detail:
                  - type: value_error
                    loc:
                      - query
                      - start_date
                    msg: Invalid date format. Expected 'YYYY-MM-DD'.
                    input: 2023/01/01
              schema:
                $ref: >-
                  #/components/schemas/backend__src__exemptions__responses__ValidationErrorResponse
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                detail: An unexpected error occurred
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - APIKeyHeader: []
          CustomHeader: []
components:
  schemas:
    CountryCodeEnum:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - CI
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - XK
        - ZZ_EU
      title: CountryCodeEnum
    fastapi_pagination__default__Page_ExemptionRead___2:
      properties:
        items:
          items:
            $ref: >-
              #/components/schemas/backend__src__exemptions__models__ExemptionRead
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
        pages:
          type: integer
          minimum: 0
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[ExemptionRead]
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorResponse
    backend__src__exemptions__responses__ValidationErrorResponse:
      properties:
        detail:
          items:
            $ref: >-
              #/components/schemas/backend__src__exemptions__responses__ValidationErrorItem
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ValidationErrorResponse
    backend__src__exemptions__models__ExemptionRead:
      properties:
        exemption_type:
          $ref: '#/components/schemas/ExemptionType'
          description: The type of exemption (e.g., wholesale, resale)
        jurisdiction:
          description: The jurisdiction identifier for the exemption
          type: string
        country_code:
          $ref: '#/components/schemas/CountryCodeEnum'
          description: Country code in ISO 3166-1 alpha-2 format (e.g., 'US')
        start_date:
          type: string
          format: date
          title: Start Date
          description: Start date for the exemption validity period (YYYY-MM-DD format)
        end_date:
          description: End date for the exemption validity period (YYYY-MM-DD format)
          type: string
        customer_id:
          description: Unique identifier for the customer associated with the exemption
          type: string
        transaction_id:
          description: |-
            Unique identifier for the transaction
                    associated with the exemption, if applicable.
          type: string
        reseller:
          type: boolean
          title: Reseller
          description: Indicates whether the exemption is for a reseller
          default: false
        FEIN:
          description: |-
            Federal Employer Identification Number
                    associated with the exemption.
          type: string
        sales_tax_id:
          description: Sales tax ID for the exemption
          type: string
        status:
          $ref: '#/components/schemas/ExemptionStatus'
          description: |-
            The status of the exemption.
                    Defaults to ACTIVE if not provided.
        id:
          type: string
          title: Id
        customer_name:
          type: string
        attachment_id:
          type: string
      type: object
      required:
        - exemption_type
        - start_date
        - id
      title: ExemptionRead
    backend__src__exemptions__responses__ValidationErrorItem:
      properties:
        type:
          type: string
          title: Type
          description: |-
            Validation issues, such as missing required
                                fields or invalid field values.
        loc:
          items:
            type: string
          type: array
          title: Loc
          description: Location of error
        msg:
          type: string
          title: Msg
          description: Error message
        input:
          title: Input
          description: Invalid input value
        ctx:
          additionalProperties: true
          type: object
          title: Ctx
          description: Additional context
      type: object
      required:
        - type
        - loc
        - msg
        - input
        - ctx
      title: ValidationErrorItem
    ExemptionType:
      type: string
      enum:
        - customer
        - wholesale
        - transaction
      title: ExemptionType
    ExemptionStatus:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
        - EXPIRED
        - DEACTIVATED
        - ARCHIVED
      title: ExemptionStatus
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    CustomHeader:
      type: apiKey
      in: header
      name: x-organization-id

````